Bug 1306244 - RFE: CPU Steal time option in Cockpit CPU monitor.
RFE: CPU Steal time option in Cockpit CPU monitor.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cockpit (Show other bugs)
23
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominik Perpeet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 07:05 EST by John Boero
Modified: 2017-09-25 09:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Description of problem: With a lot of customers going cloud/virtual it would be nice if Cockpit could show not just CPU load graphs but also have an option to show CPU stolen time used by other VMs on the host. When a customer is experiencing performance problems but showing negligible CPU load, it's nice to point out how they're getting robbed behind the scenes by other VMs on the host. Version-Release number of selected component (if applicable): 0.93 F23 (current as of filing) How reproducible: Always Steps to Reproduce: 1. Start Cockpit on Fedora. 2. Log into console and view a system's stats. CPU/Mem/Disk/Net graphs show. Actual results: CPU load shows but not all stats. Expected results: Would love a check box for extra CPU stats such as stolen time, per-core time, etc. Additional info: I know it may be an overflow of data to track stats for 16+ CPU cores but primarily it would be nice to track stolen CPU time for cloud or virtual deployments. Call me an old fashioned bare metal guy but customers should understand the performance implications of virtual deployments vs bare metal and overloaded virtual hosts. If nobody has done any work on something like this I will see if I can draft a feature poc on my own. See See http://blog.scoutapp.com/articles/2013/07/25/understanding-cpu-steal-time-when-should-you-be-worried
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:36:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Boero 2016-02-10 07:05:44 EST
Description of problem:
With a lot of customers going cloud/virtual it would be nice if Cockpit could show not just CPU load graphs but also have an option to show CPU stolen time used by other VMs on the host.  When a customer is experiencing performance problems but showing negligible CPU load, it's nice to point out how they're getting robbed behind the scenes by other VMs on the host.

Version-Release number of selected component (if applicable):
0.93 F23 (current as of filing)

How reproducible:
Always

Steps to Reproduce:
1. Start Cockpit on Fedora.  
2. Log into console and view a system's stats.  CPU/Mem/Disk/Net graphs show.  

Actual results:
CPU load shows but not all stats.

Expected results:
Would love a check box for extra CPU stats such as stolen time, per-core time, etc.

Additional info:
I know it may be an overflow of data to track stats for 16+ CPU cores but primarily it would be nice to track stolen CPU time for cloud or virtual deployments.  Call me an old fashioned bare metal guy but customers should understand the performance implications of virtual deployments vs bare metal and overloaded virtual hosts.  If nobody has done any work on something like this I will see if I can draft a feature poc on my own.

See See http://blog.scoutapp.com/articles/2013/07/25/understanding-cpu-steal-time-when-should-you-be-worried
Comment 1 Fedora Admin XMLRPC Client 2016-10-20 08:10:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Dominik Perpeet 2016-11-10 08:38:27 EST
It sounds like a good idea, but unfortunately getting more cpu usage details doesn't appear to align with the short- to midterm Cockpit goals: https://trello.com/b/mtBhMA1l/cockpit

Would you be interested in helping to implement this? A good starting place would be to start a feature page on the Cockpit wiki (maybe like https://github.com/cockpit-project/cockpit/wiki/Feature:-SELinux-Troubleshooting ) and/or talk to other contributors on the irc channel #cockpit on freenode. It doesn't have to be formal, but we should make sure that other use cases aren't hindered.
Comment 3 Fedora End Of Life 2016-11-24 10:29:23 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 13:36:20 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.